Page MenuHomeFreeBSD

Quisece one printf warnings
ClosedPublic

Authored by sbruno on Jul 23 2014, 9:37 PM.

Details

Reviewers
delphij
mahrens
Summary

fix typos to quiesce to compile warnings

Diff Detail

Repository
rS FreeBSD src repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

sbruno updated this revision to Diff 812.Jul 23 2014, 9:37 PM
sbruno retitled this revision from to Quisece two printf warnings.
sbruno updated this object.
sbruno edited the test plan for this revision. (Show Details)
sbruno added a reviewer: delphij.
delphij accepted this revision.Jul 23 2014, 9:39 PM
delphij edited edge metadata.

Looks good to me, maybe upstream too?

This revision is now accepted and ready to land.Jul 23 2014, 9:39 PM

I've sent this to Matt Ahrens in email as well. He doesn't have a phabric account yet.

sbruno updated this revision to Diff 815.Jul 23 2014, 10:09 PM
sbruno edited edge metadata.

Update correct position in the printf string. Apparently, my eyes are off.

mahrens added inline comments.
cddl/contrib/opensolaris/lib/libzpool/common/kernel.c
690

looks good; bug does not exist upstream.

cddl/contrib/opensolaris/lib/libzpool/common/util.c
108 ↗(On Diff #815)

This change looks incorrect to me. the format and corresponding arguments are:

"%*s", indent, "",
"%s", prefix,
"%*s", indent + strlen(prefix) - 25 - (vs->vs_space ? 0 : 12), desc,
...

note that "prefix" is a string not an integer, so the existing code is correct.

sbruno updated this revision to Diff 998.Aug 7 2014, 5:44 PM

Drop util.c

sbruno retitled this revision from Quisece two printf warnings to Quisece one printf warnings.Aug 7 2014, 5:48 PM
delphij edited reviewers, added: mahrens; removed: delphij.Aug 7 2014, 5:49 PM
delphij edited subscribers, added: delphij; removed: mahrens.
This revision now requires review to proceed.Aug 7 2014, 5:49 PM
delphij accepted this revision.Aug 7 2014, 9:03 PM
delphij added a reviewer: delphij.

I think this is good to go.

This revision is now accepted and ready to land.Aug 7 2014, 9:03 PM
mahrens edited edge metadata.Aug 7 2014, 10:15 PM

looks good to me.

mahrens accepted this revision.Aug 7 2014, 10:16 PM
mahrens edited edge metadata.
sbruno closed this revision.Aug 8 2014, 6:45 PM

committed to freebsd current at svn R269730